Subject: bug#8249: 23.3; empty menus on os x 10.6

From: Jan Djärv <[email-masked]>
Date: Sun, 31 Jul 2011 10:58:51 +0200

Rupert Levene skrev 2011-07-30 16:08:
> I can't reproduce this now in version 23.3 or the trunk (using -Q in
> both cases, as I have been doing when I could reproduce it). Even
> after a reboot.
>
> I don't know what's changed.
>

Strange.  Did you update/upgrade anything?  It could be some user setting that 
does this.

	Jan D.

> On Sat, Jul 30, 2011 at 2:52 PM, Jan Djärv<[email-masked]>  wrote:
>>
>>
>> Rupert Levene skrev 2011-07-30 12:34:
>>>
>>> This seems to be a dupe of bug#7030. I can confirm for my builds that
>>> if I click the menu title several times (the exact number seems to
>>> vary randomly) then the menu will appear.
>>>
>>
>> And this happens when you start emacs with -Q
>> (./nextstep/Emacs.app/Contents/MacOS/Emacs -Q)?
>>
>>         Jan D.
>>
>>> On Sat, Jul 30, 2011 at 11:25 AM, Rupert Levene<[email-masked]>
>>>   wrote:
>>>>
>>>> This bug persists for me in an emacs compiled from sources pulled from
>>>> savannah with git clone.
>>>>
>>>> In GNU Emacs 24.0.50.1 (x86_64-apple-darwin10.8.0, NS
>>>> apple-appkit-1038.36)
>>>>   of 2011-07-30 on Rupert-Levenes-MacBook-Pro.local
>>>> Windowing system distributor `Apple', version 10.3.1038
>>>> configured using `configure  '--with-ns''
>>>>
>>>> Important settings:
>>>>   value of $LC_ALL: nil
>>>>   value of $LC_COLLATE: nil
>>>>   value of $LC_CTYPE: nil
>>>>   value of $LC_MESSAGES: nil
>>>>   value of $LC_MONETARY: nil
>>>>   value of $LC_NUMERIC: nil
>>>>   value of $LC_TIME: nil
>>>>   value of $LANG: en_IE.UTF-8
>>>>   value of $XMODIFIERS: nil
>>>>   locale-coding-system: utf-8-unix
>>>>   default enable-multibyte-characters: t
>>>>
>>>> Major mode: Lisp Interaction
>>>>
>>>> Minor modes in effect:
>>>>   tooltip-mode: t
>>>>   mouse-wheel-mode: t
>>>>   tool-bar-mode: t
>>>>   menu-bar-mode: t
>>>>   file-name-shadow-mode: t
>>>>   global-font-lock-mode: t
>>>>   font-lock-mode: t
>>>>   blink-cursor-mode: t
>>>>   auto-composition-mode: t
>>>>   auto-encryption-mode: t
>>>>   auto-compression-mode: t
>>>>   line-number-mode: t
>>>>   transient-mark-mode: t
>>>>
>>>> Recent input:
>>>> <down-mouse-1>    <mouse-1>    M-x r e p o SPC r SPC SPC
>>>> SPC<return>
>>>>
>>>> Recent messages:
>>>> For information about GNU Emacs and the GNU system, type C-h C-a.
>>>> Making completion list...
>>>>
>>>> Load-path shadows:
>>>> None found.
>>>>
>>>> Features:
>>>> (shadow sort gnus-util mail-extr message format-spec rfc822 mml mml-sec
>>>> mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
>>>> ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
>>>> emacsbug help-mode easymenu view time-date tooltip ediff-hook vc-hooks
>>>> lisp-float-type mwheel ns-win tool-bar dnd fontset image fringe
>>>> lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
>>>> mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
>>>> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
>>>> japanese hebrew greek romanian slovak czech european ethiopic indian
>>>> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
>>>> minibuffer loaddefs button faces cus-face files text-properties overlay
>>>> sha1 md5 base64 format env code-pages mule custom widget
>>>> hashtable-print-readable backquote make-network-process dbusbind ns
>>>> multi-tty emacs)
>>>>
>>>>
>>>> On Sat, Jul 30, 2011 at 7:13 AM, Jan Djärv<[email-masked]>    wrote:
>>>>>
>>>>> Hi.
>>>>>
>>>>> Please don't remove the debbugs address when replying.
>>>>> I used your build flags, but can't reproduce it.  As 23.3 probably won't
>>>>> be
>>>>> maintained anymore, can you try the Emacs trunk and see if the problem
>>>>> exists there?
>>>>>
>>>>>         Jan D.
>>>>>
>>>>>
>>>>> Rupert Levene skrev 2011-07-29 23:50:
>>>>>>
>>>>>> Hi,
>>>>>>
>>>>>> I can reproduce this bug on OS X 10.6.8 with the following build,
>>>>>> which is what macports produced for me.
>>>>>>
>>>>>> In GNU Emacs 23.3.1 (x86_64-apple-darwin10.8.0, NS
>>>>>> apple-appkit-1038.36)
>>>>>>   of 2011-07-29 on Rupert-Levenes-MacBook-Pro.local
>>>>>> Windowing system distributor `Apple', version 10.3.1038
>>>>>> configured using `configure  '--prefix=/opt/local' '--with-ns'
>>>>>> '--without-x' '--without-dbus' 'CC=/Developer/usr/bin/llvm-gcc-4.2'
>>>>>> 'CFLAGS=-pipe -O2 -arch x86_64' 'LDFLAGS=-L/opt/local/lib -arch
>>>>>> x86_64' 'CPPFLAGS=-I/opt/local/include''
>>>>>>
>>>>>> Important settings:
>>>>>>    value of $LC_ALL: nil
>>>>>>    value of $LC_COLLATE: nil
>>>>>>    value of $LC_CTYPE: nil
>>>>>>    value of $LC_MESSAGES: nil
>>>>>>    value of $LC_MONETARY: nil
>>>>>>    value of $LC_NUMERIC: nil
>>>>>>    value of $LC_TIME: nil
>>>>>>    value of $LANG: en_IE.UTF-8
>>>>>>    value of $XMODIFIERS: nil
>>>>>>    locale-coding-system: utf-8-unix
>>>>>>    default enable-multibyte-characters: t
>>>>>>
>>>>>> Major mode: Lisp Interaction
>>>>>>
>>>>>> Minor modes in effect:
>>>>>>    tooltip-mode: t
>>>>>>    mouse-wheel-mode: t
>>>>>>    menu-bar-mode: t
>>>>>>    file-name-shadow-mode: t
>>>>>>    global-font-lock-mode: t
>>>>>>    font-lock-mode: t
>>>>>>    blink-cursor-mode: t
>>>>>>    auto-encryption-mode: t
>>>>>>    auto-compression-mode: t
>>>>>>    line-number-mode: t
>>>>>>    transient-mark-mode: t
>>>>>>
>>>>>> Recent input:
>>>>>> <escape>      x r e p o r t SPC e m SPC b SPC<return>
>>>>>>
>>>>>> Recent messages:
>>>>>> For information about GNU Emacs and the GNU system, type C-h C-a.
>>>>>>
>>>>>> Load-path shadows:
>>>>>> None found.
>>>>>>
>>>>>> Features:
>>>>>> (shadow sort mail-extr message ecomplete rfc822 mml mml-sec
>>>>>> password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
>>>>>> rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
>>>>>> time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
>>>>>> hex-util hashcash mail-utils emacsbug tooltip ediff-hook vc-hooks
>>>>>> lisp-float-type mwheel ns-win easymenu tool-bar dnd fontset image
>>>>>> fringe
>>>>>> lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
>>>>>> mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
>>>>>> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
>>>>>> korean japanese hebrew greek romanian slovak czech european ethiopic
>>>>>> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
>>>>>> abbrev loaddefs button minibuffer faces cus-face files text-properties
>>>>>> overlay md5 base64 format env code-pages mule custom widget
>>>>>> hashtable-print-readable backquote make-network-process ns multi-tty
>>>>>> emacs)
>>>>>
>>>>
>>